import request from "./request.js"


// 获取首页数据
export function loadIndexs(data) {
	return request({
		url: '/api/index',
		method: 'get',
		data
	});
}

// 获取轮播图数据
export function banner(data) {
	return request({
		url: '/api/article/list/9',
		method: 'get',
		params: data
	});
}

// 获取科普文章列表
export function splist(data) {
	return request({
		url: '/api/article/list/1',
		method: 'get',
		params: data
	});
}
// 获取红会新闻文章列表
export function newsList(data) {
	return request({
		url: '/api/article/list/7',
		method: 'get',
		params: data
	});
}
// 获取红会新闻文章列表
export function openList(data) {
	return request({
		url: '/api/article/list/8',
		method: 'get',
		params: data
	});
}
//获取政策法规文章列表
export function regulationList(data) {
	return request({
		url: '/api/article/list/10',
		method: 'get',
		params: data
	});
}
// 获取文章详情
export function details(data,id) {
	return request({
		url: '/api/article/details/'+id,
		method: 'get',
		data
	});
}
// 获取爱心捐款列表
export function loveList(data) {
	return request({
		url: '/api/bulletin',
		method: 'get',
		params: data
	});
}

